Contents

GET /accounts/$USERNAME/cashouts#

Returns the list of all cash-out operations for an account.

Request:

Query Parameters:
  • limitOptional. At most return the given number of results. Negative for descending by cashout_id, positive for ascending by cashout_id. Defaults to -20. Since v5.

  • offsetOptional. Starting cashout_id for pagination. Since v5.

  • deltaOptional. Deprecated since v5. Use limit instead.

  • startOptional. Deprecated since v5. Use offset instead.

Response:

200 OK:

Response is a Cashouts.

204 No Content:

No cash-out operations were found.

401 Unauthorized:

Invalid or missing credentials.

403 Forbidden:

Missing rights.

501 Not implemented:

This server does not support conversion, client should check config response.

Details:

interface Cashouts {
  // Every string represents a cash-out operation ID.
  cashouts: CashoutInfo[];
}
interface CashoutInfo {
  cashout_id: Integer;
}